Skip to main content
POST
/
api
/
v1
/
detector
/
event
/
search
search events
curl --request POST \
  --url https://api.example.com/api/v1/detector/event/search \
  --header 'Authorization: Bearer <token>' \
  --header 'Content-Type: application/json' \
  --data '
{
  "from": 0,
  "size": 10,
  "query": "address:0xdAC17F958D2ee523a2206206994597C13D831ec7",
  "timeseries": [
    {
      "from": 1,
      "to": 1
    }
  ],
  "trackTotalCount": 10000,
  "sort": [
    {
      "field": "timestamp",
      "mode": "Min",
      "order": "Asc"
    }
  ]
}
'
{
  "data": [
    {
      "uid": "<string>",
      "timestamp": 123,
      "eid": "<string>",
      "txHash": "<string>",
      "meta": {},
      "tenantId": 123,
      "projectId": 123,
      "contractId": 123,
      "sourceId": "<string>",
      "monitorId": "<string>",
      "network": "<string>",
      "contract": "<string>",
      "detectorId": 123,
      "tags": [
        "<string>"
      ],
      "sentryName": "<string>",
      "type": "<string>",
      "severity": 123
    }
  ],
  "total": 123
}

Documentation Index

Fetch the complete documentation index at: https://docs.extractor.live/llms.txt

Use this file to discover all available pages before exploring further.

Authorizations

Authorization
string
header
required

Authentication

Body

application/json
from
integer<int32>
default:0

Starting document offset

Required range: x >= 0
Example:

0

size
integer<int32>
default:10

The number of hits to return

Required range: 0 <= x <= 10000
Example:

10

query
string

Query string according to https://www.elastic.co/guide/en/elasticsearch/reference/current/query-dsl-query-string-query.html with Default: auto_generate_synonyms_phrase_query=false, fuzzy_max_expansions=0, fuzzy_transpositions=false

Example:

"address:0xdAC17F958D2ee523a2206206994597C13D831ec7"

timeseries
object[]

Timestamp ranges for search indices calculation

Minimum array length: 1
trackTotalCount
integer<int32>
default:10000

Return total results up to 'count' value. If 0, then total tracking is disabled and return total=0

sort
object[]

Sorting for the search

Minimum array length: 1

Response

200 - application/json

OK

data
object[]

Response data

total
integer<int64>

Total amount of document available for this request